/*
Theme Name: SI Utlity
Description: Engineered for Reliability. Powered by American Fabrication. 
Author: Woland Web
Author URI: https://www.wolandweb.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/* ==================================
	TYPOGRAPHIC ELEMENTS
================================== */
/* Serpentine Font */
@font-face {
	font-family: 'Serpetine';
	src: 
		url('assets/fonts/serpentine-boldoblique-webfont.woff2') format('woff2'),
		url('assets/serpentine-boldoblique-webfont.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

/* Typography */
p, li, dt, dd, dl, address, label, small, pre, code {
	line-height: 1.5;
}
h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
	line-height: 1.4;
}
.text-lead, .text-lead:not(ul):not(ol) > * {
	line-height: 1.65;
}
.text-lead, 
.text-lead:not(ul):not(ol) > *, 
.text-lead > :not(ul):not(ol) {
	margin-top: 18px;
}
b, strong {
  font-weight: 700;
}
.style-light b,
.style-light strong {
  color: #d0222f;
}

/* Links */
.page-wrapper .uncode_text_column p a,
.page-wrapper .uncode_text_column ul li a {
	text-decoration: underline;
	font-weight: 700;
}

/* Accordions */
body:not(.rtl) .uncode-accordion:not(.none-signed) .panel-title > a > span {
  padding-right: 1.25em;
}

/* Responsive Video */
.videoWrapper {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  height: 0;
}
.videoWrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* Lists */
.uncode-list .process-list {
  margin-left: 34px;
}
.uncode-list .process-list li {
  line-height: 1.5;
  padding: 3px 0;
}
.uncode-list .process-list i.fa {
  margin-left: -32px;
}

/* ==================================
	HEADER
================================== */

/* Main Header */
.hmenu .menu-container .logo-container.col-lg-0 {
	padding-top: 18px;
	padding-bottom: 18px;
}
.hmenu .menu-container .navbar-nav a {
	transition: all 0.3s ease;
}

/* Drop Downs */
@media (min-width: 960px) {
	.menu-sub-enhanced.menu-horizontal ul.menu-smart > li ul {
		padding: 0px 18px 18px 18px;
	}
	.submenu-dark .menu-sub-enhanced .menu-smart ul a {
		color: rgba(255,255,255,1);
	}
	.menu-primary-inner ul.drop-menu li.menu-item > ul.drop-menu {
		left: -1px!important;
	}
	.menu-primary-inner ul.drop-menu li.menu-item > ul.drop-menu::before {
		content:"";
		display: block;
		width: 100%;
		height: 18px;
		background: #101213;
		position: absolute;
		top: -18px;
		left: 0;
	}
}

/* Mobile */
@media (max-width: 959px) {
	.menu-primary .menu-horizontal .menu-horizontal-inner > div:not(:first-child):not(.uncode-close-offcanvas-mobile):not(.navbar-main):not(.appended-navbar) {
		padding-top: 18px;
	}
	.menu-primary .menu-smart > li > a > div > div > div.btn {
		font-size: 14px;
	}
	.menu-mobile-default .menu-primary .menu-smart .drop-menu a {
		padding: 9px 36px 9px 56px;
	}
}

/* ==================================
	FOOTER
================================== */

.grecaptcha-badge {
	bottom: 85px!important;
}

/* Layout */
.main-container footer .row-container .double-top-padding {
	padding-top: 54px;
}
.main-container footer .row-container .double-bottom-padding {
	padding-bottom: 54px;
}

/* Menus & Socials */
footer .menu li {
	padding-bottom: 5px;
}
footer .menu li:last-child {
	padding-bottom: 0px;
}
footer .menu li a {
	color: #FFFFFF;
	font-size: 16px;
}
footer .uncode-vc-social .social-icon a {
  color: #FFFFFF;
  transition: all 0.3s ease;
}
footer .menu-container .uncode-vc-social:not(.icons-lead) .social-icon i {
  font-size: 16px;
}

/* Newsletter Form */
.newsletter-form.gform_wrapper.gravity-theme .gfield {
	margin-bottom: 0px;
}
.newsletter-form .gform-footer input[type="submit"],
.newsletter-form .gform-footer input[type="submit"] {
	font-size: 16px;
	padding-top: 10px;
	padding-bottom: 10px;
}

/* Copyright */
.main-container footer .row-container.copyright-container {
	border-top: 1px solid rgba(255,255,255,.15);
}
.copyright-container .style-dark .uncode_text_column a {
	color: #FFFFFF;
}
.copyright-container .style-dark .uncode_text_column a:hover,
.copyright-container .style-dark .uncode_text_column a:focus {
	color: #d0222f;
}

/* ==================================
	UNIVERSAL STYLES
================================== */
.justified-gallery > a > .jg-caption,
.justified-gallery > div > .jg-caption {
	opacity: 0!important;
}

/* ==================================
	GRAVITY FORMS
================================== */
/* Common Elements */
.gform_legacy_markup_wrapper .gfield_required,
.gform_wrapper.gravity-theme .gfield_required {
	color: #d0222f;
	font-weight: 400;
}
.gfield_consent_label {
	font-size: 16px;
}
.gform_wrapper.gravity-theme .gfield_description,
.gform_legacy_markup_wrapper .gfield_description {
	padding-top: 0px;
	font-style: italic;
}
.gform_wrapper.gravity-theme .field_description_below .gfield_description {
	padding-top: 6px;
}
.gform_drop_area button {
	border-radius: 500px;
	padding: 8px 26px;
	color: #101213;
}
.gform_wrapper.gravity-theme .gfield-choice-input + label {
	vertical-align: top;
}
.gform_wrapper.gravity-theme .gfield_radio .gchoice,
.gform_wrapper.gravity-theme .gfield_checkbox .gchoice {
	padding-bottom: 8px;
}

/* Submit Buttons */
.style-dark .gform-footer input[type="submit"],
.style-light .gform-footer input[type="submit"] {
	background-color: #d0222f;
	border-color: #d0222f;
	color: #FFFFFF;
}
.style-dark .gform-footer input[type="submit"]:hover,
.style-dark .gform-footer input[type="submit"]:focus,
.style-light .gform-footer input[type="submit"]:hover,
.style-light .gform-footer input[type="submit"]:focus {
	background-color: transparent;
	color: #d0222f;
}

/* ==================================
	PAGES
================================== */

.post-body > .post-content > p:last-of-type {
	display: none;
}

/* HOME ====== */
.hero .uncode-single-media.text-right {
    text-align: center;
}
.hero .background-inner {
    background-position: 65% top!important;
}
@media (min-width: 759px) {
	.hero .uncode-single-media.text-right {
		text-align: left;
	}
}
@media (min-width: 959px) {
    .hero .uncode-single-media.text-right {
        text-align: right;
    }
    .hero .background-inner {
        background-position: center top;
    }
}
.dot-element::before {
	content:"";
	display: block;
	position: absolute;
	background: url('/wp-content/uploads/2025/08/dot-element.png') no-repeat center center;
	background-size: contain;
	width: 75px;
	height: 75px;
	bottom: 85px;
	left: 15px;
}
@media (min-width: 759px) {
	.dot-element::before {
		width: 150px;
		height: 150px;
		bottom: -20px;
		left: -20px;
	}
}
.products .img-round-xl.img-round,
.products .img-round-xl.img-round > img,
.products .img-round-xl.img-round.tmb > .t-inside .t-entry-visual {
	border-radius: 16px 16px 0px 0px;
}
.products .row-inner .vc_custom_heading_wrap {
	padding: 18px 36px 0px 36px;
}
.products .row-inner .uncode_text_column {
	padding: 0px 36px 36px 36px;
}
.capabilities .uncode-list .icons li {
	font-size: 22px;
	font-weight: 600;
}
.testimonial .uncode-single-media {
	position: relative;
	top: -50px;
	margin-bottom: -50px;
}
.testimonial .uncode_text_column p em {
	font-weight: 600;
}
.contact-container .heading-container {
	border-radius: 16px 16px 0px 0px;
	overflow: hidden;
}
@media (min-width: 759px) {
	.testimonial .uncode-single-media {
		top: -70px;
		margin-bottom: -70px;
	}
}

/* Careers */
.career-heading .icon-box-content h2 {
	padding-top: 15px;
	margin: 0;
}
.career-heading .icon-box-content h2:not([class*="fontsize-"]),
.career-heading .icon-box-content .h2:not([class*="fontsize-"]) {
	font-size: 32px;
}
.career-heading .icon-box-content p {
	font-size: 16px;
	margin: 0;
	text-transform: uppercase;
	color: #d0222f;
}
.positions-header {
	width: 90%;
	padding: 0 15px;
	margin: 0 auto;
}
@media (min-width: 759px) {
	.career-heading .icon-box-content h2:not([class*="fontsize-"]),
	.career-heading .icon-box-content .h2:not([class*="fontsize-"]) {
		font-size: 50px;
	}
	.career-heading .icon-box-content p {
		font-size: 24px;
	}
}

/* PRODUCTS ====== */
.callout {
  position: relative;
}
.callout > .uncol {
  z-index: 2;
}
.callout .uncol img {
    border-radius:16px;
}
@media(min-width:969px) {
 .callout.left .uncode-single-media::after  {
  content: "";
  width: 93%;
  height: 90%;
  position: absolute;
  bottom: -30px;
  left: -30px;
  z-index: 0;
  background-repeat: repeat;
  background-size: 500px 500px;
  background: #d0222f;
  border-radius:16px;
 }
 .callout.right .uncode-single-media::after  {
  content: "";
  width: 93%;
  height: 90%;
  position: absolute;
  bottom: -30px;
  right: -30px;
  z-index: 0;
  background-repeat: repeat;
  background-size: 500px 500px;
  background: #d0222f;
  border-radius:16px;
 }
}
@media(max-width:969px) {
 .callout.left .uncode-single-media::after  {
  content: "";
  width: 93%;
  height: 90%;
  position: absolute;
  bottom: -15px;
  left: -15px;
  z-index: 0;
  background-repeat: repeat;
  background-size: 500px 500px;
  background: #d0222f;
  border-radius:16px;
 }
 .callout.right .uncode-single-media::after  {
  content: "";
  width: 93%;
  height: 90%;
  position: absolute;
  bottom: -15px;
  right: -15px;
  z-index: 0;
  background-repeat: repeat;
  background-size: 500px 500px;
  background: #d0222f;
  border-radius:16px;
 }
}

/* CAPABILITIES ====== */
.capabilities-design .icon-box-left h5 {
    color:#d0222f;
}
/* Left aligned icon moved to inline on mobile */
@media(max-width:969px) {
	.capabilities-design .icon-box-left .icon-box-icon {
		display:inline;
	}
	.capabilities-design .icon-box-left .icon-box-content {
		display:inline;
	}
}